<< | Thread Index | >> ]    [ << | Date Index | >> ]

Subject: Re: cipe userspace daemon should know kernel module version
From: Olaf Titz <olaf,AT,bigred,DOT,inka,DOT,de>
Date: Sun, 20 Jan 2002 19:13:23 +0100
In-reply-to: <3C4842C8.2D5D5BE9@tac.ch>

> a package with the cipe kernel module from 1.5.2 and the
> user space tool from 1.4.6. Of course the lkml loads and
> the user space tool doesn't complain. Wouldn't it be nice
> to have a function in the kernel module that provides the
> user space tool with a version string? So we can check if
> the used lkml works together with the user space tool?

There is in fact such a check. The structure passed between ciped and
kernel contains a "magic" field which is computed from version and
configuration parameters. A mismatching ciped should exit with an
"invalid argument" message and leave the message "ciped version
mismatch" in the kernel log. If this doesn't work for you, either your
compilation process is busted or there is a fundamental bug, I'll have
to check that.

Olaf





<< | Thread Index | >> ]    [ << | Date Index | >> ]